%define upstream_name    Path-Dispatcher
%define upstream_version 1.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    All rules must match
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Path/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose) >= 0.120.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny) >= 0.20.0
BuildArch:  noarch

%description
We really like the Jifty::Dispatcher manpage and wanted to use it for the
Prophet manpage's command line.

The basic operation is that of dispatch. Dispatch takes a path and a list
of rules, and it returns a list of matches. From there you can "run" the
rules that matched. These phases are distinct so that, if you need to, you
can inspect which rules were matched without ever running their codeblocks.

You want to use the Path::Dispatcher::Declarative manpage which gives you
some sugar inspired by the Jifty::Dispatcher manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Path/

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-5.mga8
+ Revision: 1496458
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.60.0-4.mga7
+ Revision: 1270484
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-3.mga6
+ Revision: 1031849
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.60.0-2.mga6
+ Revision: 968534
- Mageia 6 Mass Rebuild

* Wed Jul 08 2015 sander85 <sander85> 1.60.0-1.mga6
+ Revision: 852942
- update to 1.06

* Sun Oct 19 2014 umeabot <umeabot> 1.50.0-6.mga5
+ Revision: 789935
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-5.mga5
+ Revision: 740108
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.50.0-4.mga5
+ Revision: 727685
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-3.mga5
+ Revision: 685911
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.50.0-2.mga4
+ Revision: 527203
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.50.0-1.mga4
+ Revision: 439727
- update to 1.05

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 371601
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 jquelin <jquelin> 1.40.0-1.mga2
+ Revision: 148470
- update to 1.04

* Thu Sep 01 2011 jquelin <jquelin> 1.30.0-1.mga2
+ Revision: 137621
- adding missing buildrequires:
- update to 1.03

* Mon Jan 24 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 36496
- mageia rebuild
- imported package perl-Path-Dispatcher


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.20.0-1mdv2011.0
+ Revision: 596739
- adding missing buildrequires
- update to 1.02

* Thu Apr 29 2010 Michael Scherer <misc@mandriva.org> 0.150.0-1mdv2011.0
+ Revision: 541081
- import perl-Path-Dispatcher


* Thu Apr 29 2010 cpan2dist 0.15-1mdv
- initial mdv release, generated with cpan2dist
